<template>
    <div>
        <p>Список задач</p>
        <div class="label" v-for="(todo, index) in todos" :key="'todo'+index">
            <i>{{index+1}}</i> <input type="text" v-model="todo.name">
            <template v-if="edit">
                <label class="checkbox"><input type="checkbox" v-model="todo.status"><i></i></label>
                <button class="btn-squere" @click="delTodo(todo.id)"><img src="../assets/images/svg/trash-can.svg" alt=""></button>
            </template>
        </div>
        <button class="btn btn-mini" @click="addTodo">Добавить задачу</button>
    </div>
</template>

<script>
    import {bus} from "../pages/index";

    export default {
        props: ['todos', 'edit', 'showPopup', 'parentId'],
        methods: {
            /*добавляем новую задачу*/
            addTodo() {
                let id;
                if (this.todos.length > 0) {
                    id = Number(this.todos[this.todos.length - 1].id)+1;
                }
                else {
                    id = 0;
                }
                let newTodo = {'id': id, 'name': '', 'status': 0}
                this.todos.push(newTodo);
            },
            /*удаляем задачу*/
            delTodo(id) {
                bus.$emit('showDelPopup', {val: true, delId: id, action: 'delTodo', parentId: this.parentId});
            }
        },
    }
</script>

<style scoped>

</style>
